Package wx :: Package lib :: Module flatnotebook :: Class FNBRendererVC8

[frames | no frames]

## Class FNBRendererVC8

    FNBRenderer --+
                  |
                 FNBRendererVC8

This class handles the drawing of tabs using the VC8 renderer.

Method Summary
| ``__init__`(self)` Default class constructor.
| ``DrawTab`(self, pageContainer, dc, posx, tabIdx, tabWidth, tabHeight, btnStatus)` Draws a tab using VC8 style.
| ``DrawTabs`(self, pageContainer, dc)` Draws all the tabs using VC8 style.
| ``FillVC8GradientColour`(self, pageContainer, dc, tabPoints, bSelectedTab, tabIdx)` Fills a tab with a gradient shading.
| ``GetEndX`(self, tabPoints, y, style)` Returns the x end position of a tab.
| ``GetStartX`(self, tabPoints, y, style)` Returns the x start position of a tab.
| ``NumberTabsCanFit`(self, pageContainer, fr)` Returns the number of tabs that can fit in the visible area.

Method Details

### __init__(self)
(Constructor)

Default class constructor.

  Overrides:
    `wx.lib.flatnotebook.FNBRenderer.__init__`

### DrawTab(self, pageContainer, dc, posx, tabIdx, tabWidth, tabHeight, btnStatus)

Draws a tab using VC8 style.

### DrawTabs(self, pageContainer, dc)

Draws all the tabs using VC8 style. Overloads The DrawTabs method in parent class.

  Overrides:
    `wx.lib.flatnotebook.FNBRenderer.DrawTabs`

### FillVC8GradientColour(self, pageContainer, dc, tabPoints, bSelectedTab, tabIdx)

Fills a tab with a gradient shading.

### GetEndX(self, tabPoints, y, style)

Returns the x end position of a tab.

### GetStartX(self, tabPoints, y, style)

Returns the x start position of a tab.

### NumberTabsCanFit(self, pageContainer, fr=-1)

Returns the number of tabs that can fit in the visible area.

  Overrides:
    `wx.lib.flatnotebook.FNBRenderer.NumberTabsCanFit`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:10:47 2007 | http://epydoc.sf.net